View Javadoc

    1   /*
    2    * Copyright 2004-2009 the Seasar Foundation and the Others.
    3    *
    4    * Licensed under the Apache License, Version 2.0 (the "License");
    5    * you may not use this file except in compliance with the License.
    6    * You may obtain a copy of the License at
    7    *
    8    *     http://www.apache.org/licenses/LICENSE-2.0
    9    *
    10   * Unless required by applicable law or agreed to in writing, software
    11   * distributed under the License is distributed on an "AS IS" BASIS,
    12   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
    13   * either express or implied. See the License for the specific language
    14   * governing permissions and limitations under the License.
    15   */
    16  package org.seasar.cubby.internal.controller;
    17
    18  import javax.servlet.http.HttpServletRequest;
    19  import javax.servlet.http.HttpServletResponse;
    20
    21  import org.seasar.cubby.routing.PathInfo;
    22
    23  /**
    24   * 要求を処理します。
    25   *
    26   * @author someda
    27   * @author baba
    28   */
    29  public interface RequestProcessor {
    30
    31  	/**
    32  	 * 指定された {@link PathInfo} に対する処理を行います。
    33  	 *
    34  	 * @param request
    35  	 *            要求
    36  	 * @param response
    37  	 *            応答
    38  	 * @param pathInfo
    39  	 *            パスの情報
    40  	 * @throws Exception
    41  	 *             要求の処理で例外が発生した場合
    42  	 */
    43  	void process(HttpServletRequest request, HttpServletResponse response,
    44  			PathInfo pathInfo) throws Exception;
    45
    46  }